// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
var type = "";//用来保存picker组件选中的类别id
Page({
  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: false, name: '注册', leftArrow: false, useBar: false },
    // 主体高度
    infoHeight: '',
    from: {},
    cateArray: [
      { id: '0', type: '管理用户' }, { id: '1', type: '团队创建人' }, { id: '2', type: '个人用户' }],
    cateIndex: 0,
  },
  initValidate() {
    //规则
    const rules = { phone: { required: true, tel: true }, password: { required: true, minlength: 6, maxlength: 16, }, passagain: { required: true, equalTo: 'password', } }
    const messages = {
      phone: { required: '请输入账号' }, password: { required: '请输入密码', minlength: '密码长度不能少于6位', maxlength: '密码长度不能超过16位' },
      passagain: { required: '请填写确认密码', equalTo: '两次密码不一致' }
    };
    this.WxValidate = new WxValidate(rules, messages)
  },
  // 提交注册
  onSubmit: function (e) {
    const params = e.detail.value;
    params.type = type
    if (!this.WxValidate.checkForm(params)) {
      const error = this.WxValidate.errorList[0];
      wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
      return false
    } else {
      wx.request({
        url: `${app.globalData.publicUrl}/courtAdmin/api/user`, //接口地址
        method: 'post',
        data: {
          "phone": params.phone,
          "password": params.password,
          "type": params.type,
        },
        success(res) {
          if (res.data.errcode == 0) {
            console.log('注册成功');
            wx.navigateTo({
              url: '/pages/home/index',//跳转地址
            })
          } else {
            wx.showToast({
              title: res.data.errmsg,
              icon: 'none',
              duration: 2000
            })
          }
        }
      })
    }
  },
  //当用户点击确定时，执行的事件
  bindCatePickerChange: function (e) {
    var cid = this.data.cateArray[e.detail.value].id;
    type = cid
    //下面重新赋值必须有，页面显示的信息才会改为刚刚选中的值
    this.setData({
      cateIndex: e.detail.value,
    })
  },
  back: function () {
    wx.navigateBack({ url: '/pages/login/index' })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //验证规则函数
    this.initValidate()
    // 计算高度
    this.searchHeight()
    //选择器
    var cindex = this.data.cateIndex
    type = this.data.cateArray[cindex].id
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    let infoHeight = client.windowHeight;
    // 减去状态栏
    if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2)
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
    console.log(infoHeight);
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})